maccatcher-2.1.5: Obtain the host MAC address on *NIX and Windows.

Safe Haskell | None

System.Info.MAC

Description

Obtain a MAC address for the host system, on *NIX and Windows.

Synopsis

- mac :: IO (Maybe MAC)
- macs :: IO [MAC]
- nic :: IO (Maybe (String, MAC))
- nics :: IO [(String, MAC)]
- refresh :: IO [(String, MAC)]

# Documentation

mac :: IO (Maybe MAC)Source

Fetch MAC address, using a cached value if it is available.

macs :: IO [MAC]Source

Fetch MAC addresses, using a cached value if it is available.

nic :: IO (Maybe (String, MAC))Source

Fetch a name-MAC pair, using a cached value if it is available.

nics :: IO [(String, MAC)]Source

Fetch name-MAC pairs, using a cached value if it is available.

refresh :: IO [(String, MAC)]Source

Explicitly re-run the MAC reading operation.